summaryrefslogtreecommitdiffstats
path: root/maven/projects/jocl-main/pom.sh
diff options
context:
space:
mode:
Diffstat (limited to 'maven/projects/jocl-main/pom.sh')
-rwxr-xr-xmaven/projects/jocl-main/pom.sh67
1 files changed, 67 insertions, 0 deletions
diff --git a/maven/projects/jocl-main/pom.sh b/maven/projects/jocl-main/pom.sh
new file mode 100755
index 0000000..1a86428
--- /dev/null
+++ b/maven/projects/jocl-main/pom.sh
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version projects+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PLATFORMS=$@
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by jocl-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jocl</groupId>
+ <artifactId>jocl-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOCL</name>
+ <description>Java™ Binding for the OpenCL® API</description>
+ <url>http://jogamp.org/jocl/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on jocl, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jocl</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jocl</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../jocl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF